BizKitHub
DocsAPI ReferenceContract/bff/contract/party/add
postContractAdmin BFF

/bff/contract/party/add

Adds a contact as a new contract party with the specified role. There is no limit on the number of parties.

ContractpostBffContractPartyAdd

Parameters

JSON body

Request body

application/json
contractIdnumberRequired

Internal contract ID.

Example10
contactIdnumberRequired

Internal contact ID to add as a party.

Example42
rolestringOptional

Role of the contact in the contract. Use "issuer" for the issuing side or "party" for a signatory.

Default: party
Examplespartyissuerwitnessguarantor

Response schema

1 status code documented

200Success
successbooleanRequired

Whether the party was added successfully.

Response example

application/json
{
  "success": false
}

Request example

POST /bff/contract/party/add

post
curl -X POST "https://api.bizkithub.com/bff/contract/party/add" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "contractId": 10,
  "contactId": 42,
  "role": "party"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key